- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# deque< _Tp, _Alloc, __bufsiz > Class Template Reference

Inheritance diagram for deque< _Tp, _Alloc, __bufsiz >:

[legend]
Collaboration diagram for deque< _Tp, _Alloc, __bufsiz >:

[legend]
List of all members.

## Public Types
typedef _Tp | value_type
typedef value_type * | pointer
typedef const value_type * | const_pointer
typedef value_type & | reference
typedef const value_type & | const_reference
typedef size_t | size_type
typedef ptrdiff_t | difference_type
typedef _Base::allocator_type | allocator_type
typedef _Base::iterator | iterator
typedef _Base::const_iterator | const_iterator
typedef reverse_iterator< const_iterator, value_type, const_reference, difference_type > | const_reverse_iterator
typedef reverse_iterator< iterator, value_type, reference, difference_type > | reverse_iterator
## Public Member Functions
allocator_type | get_allocator () const
iterator | begin ()
iterator | end ()
const_iterator | begin () const
const_iterator | end () const
reverse_iterator | rbegin ()
reverse_iterator | rend ()
const_reverse_iterator | rbegin () const
const_reverse_iterator | rend () const
reference | operator[] (size_type __n)
const_reference | operator[] (size_type __n) const
reference | front ()
reference | back ()
const_reference | front () const
const_reference | back () const
size_type | size () const
size_type | max_size () const
bool | empty () const
| deque (const allocator_type &__a=allocator_type())
| deque (const deque &__x)
| deque (size_type __n, const value_type &__value, const allocator_type &__a=allocator_type())
| deque (size_type __n)
| deque (const value_type *__first, const value_type *__last, const allocator_type &__a=allocator_type())
| deque (const_iterator __first, const_iterator __last, const allocator_type &__a=allocator_type())
| ~deque ()
deque & | operator= (const deque &__x)
void | swap (deque &__x)
void | assign (size_type __n, const _Tp &__val)
void | push_back (const value_type &__t)
void | push_back ()
void | push_front (const value_type &__t)
void | push_front ()
void | pop_back ()
void | pop_front ()
iterator | insert (iterator position, const value_type &__x)
iterator | insert (iterator __position)
void | insert (iterator __pos, size_type __n, const value_type &__x)
void | insert (iterator __pos, const value_type *__first, const value_type *__last)
void | insert (iterator __pos, const_iterator __first, const_iterator __last)
void | resize (size_type __new_size, const value_type &__x)
void | resize (size_type new_size)
iterator | erase (iterator __pos)
iterator | erase (iterator __first, iterator __last)
void | clear ()
## Protected Types
typedef pointer * | _Map_pointer
## Protected Member Functions
void | _M_fill_initialize (const value_type &__value)
void | _M_push_back_aux (const value_type &)
void | _M_push_back_aux ()
void | _M_push_front_aux (const value_type &)
void | _M_push_front_aux ()
void | _M_pop_back_aux ()
void | _M_pop_front_aux ()
iterator | _M_insert_aux (iterator __pos, const value_type &__x)
iterator | _M_insert_aux (iterator __pos)
void | _M_insert_aux (iterator __pos, size_type __n, const value_type &__x)
void | _M_insert_aux (iterator __pos, const value_type *__first, const value_type *__last, size_type __n)
void | _M_insert_aux (iterator __pos, const_iterator __first, const_iterator __last, size_type __n)
iterator | _M_reserve_elements_at_front (size_type __n)
iterator | _M_reserve_elements_at_back (size_type __n)
void | _M_new_elements_at_front (size_type __new_elements)
void | _M_new_elements_at_back (size_type __new_elements)
void | _M_reserve_map_at_back (size_type __nodes_to_add=1)
void | _M_reserve_map_at_front (size_type __nodes_to_add=1)
void | _M_reallocate_map (size_type __nodes_to_add, bool __add_at_front)
## Static Protected Member Functions
static size_t | _S_buffer_size ()

## Detailed Description

### template<class _Tp, class _Alloc = __STL_DEFAULT_ALLOCATOR(_Tp), size_t __bufsiz = 0>
class deque< _Tp, _Alloc, __bufsiz >

Definition at line 480 of file stl_deque.h.

The documentation for this class was generated from the following file:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Configs/TI_DSP_BIOS/stl/stl_deque.h